export default {
    phone: {
        validator: (rule, value, callback) => {
            if (value) {
                if (/^1[3-9]\d{9}$/.test(value)) {
                    callback();
                } else {
                    callback(new Error('请输入正确的手机号'));
                }
            }
        }, trigger: 'blur'
    },
    number: {
        validator: (rule, value, callback) => {
            if (value) {
                if (/(^[0-9]*$)|(^[0-9]*\.[0-9]*$)/.test(value)) {
                    callback();
                } else {
                    callback(new Error('请输入正确的数值'));
                }
            }
        }, trigger: 'blur'
    },
    url: {
        validator: (rule, value, callback) => {
            if (value) {
                if (/[a-zA-Z0-9][-a-zA-Z0-9]{0,62}(\.[a-zA-Z0-9][-a-zA-Z0-9]{0,62})+\.?/.test(value)) {
                    callback();
                } else {
                    callback(new Error('请输入正确的网址'));
                }
            }
        }, trigger: 'blur'
    },
    email: {
        validator: (rule, value, callback) => {
            if (value) {
                if (/^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/.test(value)) {
                    callback();
                } else {
                    callback(new Error('请输入正确的邮箱地址'));
                }
            }
        }, trigger: 'blur'
    },
    idCard: {
        validator: (rule, value, callback) => {
            if (value) {
                if (/^\d{6}(18|19|20)?\d{2}(0[1-9]|1[012])(0[1-9]|[12]\d|3[01])\d{3}(\d|[xX])$/.test(value)) {
                    callback();
                } else {
                    callback(new Error('请输入正确的身份证'));
                }
            }
        }, trigger: 'blur'
    },
    english:{
        validator: (rule, value, callback) => {
            if (value) {
                if (/[A-Za-z]/.test(value)) {
                    callback();
                } else {
                    callback(new Error('请输入正确的英文字符'));
                }
            }
        }, trigger: 'blur'
    }
}
